de.esprit.common.lic

## Enum ProductType

- java.lang.Object
- - java.lang.Enum<ProductType>
  - - de.esprit.common.lic.ProductType

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<ProductType>

      public enum ProductType
      extends java.lang.Enum<ProductType>

  Defines the available EsprIT-Systems products
  Author:
    Rainer Buesch

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `APPSUITE`
    `DYNAMIT`
    `NETSUITE`
    `NONE`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static ProductType` | `fromString(java.lang.String productName)`
    `static ProductType[]` | `fromString(java.lang.String[] productNames)`
    `ProductModule[]` | `getModules()`
    `java.lang.String` | `getProductName()`
    `java.lang.String` | `toString()`
    `static ProductType` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static ProductType[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### NONE

          public static final ProductType NONE

    - #### DYNAMIT

          public static final ProductType DYNAMIT

    - #### APPSUITE

          public static final ProductType APPSUITE

    - #### NETSUITE

          public static final ProductType NETSUITE

  - ### Method Detail

    - #### values

          public static ProductType[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (ProductType c : ProductType.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static ProductType valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null

    - #### getModules

          public ProductModule[] getModules()

    - #### getProductName

          public java.lang.String getProductName()

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Enum<ProductType>`

    - #### fromString

          public static ProductType fromString(java.lang.String productName)

    - #### fromString

          public static ProductType[] fromString(java.lang.String[] productNames)

Copyright © 2014 EsprIT-Systems. All Rights Reserved.